package domain


type AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult struct {
    /*
        空值     */
    Data  *string `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误提示文案     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult) SetData(v string) *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItempoolActivitySkuDeleteOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
